Bug 1185157 - [abrt] will-crash: printf(): will_segfault killed by SIGSEGV
Summary: [abrt] will-crash: printf(): will_segfault killed by SIGSEGV
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: will-crash
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Marko
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:70d7bc092bdd048d3feb266d6bb...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-23 05:45 UTC by Jakub Filak
Modified: 2016-02-01 02:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-27 18:43:57 UTC


Attachments (Terms of Use)
File: backtrace (3.14 KB, text/plain)
2015-01-23 05:45 UTC, Jakub Filak
no flags Details
File: cgroup (190 bytes, text/plain)
2015-01-23 05:45 UTC, Jakub Filak
no flags Details
File: core_backtrace (2.62 KB, text/plain)
2015-01-23 05:45 UTC, Jakub Filak
no flags Details
File: dso_list (336 bytes, text/plain)
2015-01-23 05:45 UTC, Jakub Filak
no flags Details
File: environ (3.57 KB, text/plain)
2015-01-23 05:45 UTC, Jakub Filak
no flags Details
File: limits (1.29 KB, text/plain)
2015-01-23 05:45 UTC, Jakub Filak
no flags Details
File: maps (1.88 KB, text/plain)
2015-01-23 05:45 UTC, Jakub Filak
no flags Details
File: open_fds (140 bytes, text/plain)
2015-01-23 05:45 UTC, Jakub Filak
no flags Details
File: proc_pid_status (1.06 KB, text/plain)
2015-01-23 05:45 UTC, Jakub Filak
no flags Details

Description Jakub Filak 2015-01-23 05:45:43 UTC
Description of problem:
Testing libreport!

Version-Release number of selected component:
will-crash-0.9-1.fc22

Additional info:
reporter:       libreport-2.3.0.81.g31b3
backtrace_rating: 4
cmdline:        will_segfault
crash_function: printf
executable:     /usr/bin/will_segfault
kernel:         3.19.0-0.rc4.git4.1.fc22.x86_64
runlevel:       3 5
type:           CCpp
uid:            1000
var_log_messages: [System Logs]:\n-- Logs begin at Tue 2014-07-08 10:59:30 CEST, end at Thu 2015-01-22 14:45:41 CET. --

Truncated backtrace:
[New LWP 3531]
Core was generated by `will_segfault'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  printf (__fmt=0x400acf "Result: %d\n") at /usr/include/bits/stdio2.h:104
104	/usr/include/bits/stdio2.h: No such file or directory.

Thread 1 (LWP 3531):
#0  printf (__fmt=0x400acf "Result: %d\n") at /usr/include/bits/stdio2.h:104
No locals.
#1  crash (p=p@entry=0x0) at will_segfault.c:19
        i = <error reading variable i (Cannot access memory at address 0x0)>
#2  0x0000000000400964 in varargs (num_args=1, num_args@entry=2) at will_segfault.c:31
        p = <optimized out>
        ap = {{gp_offset = 24, fp_offset = 0, overflow_arg_area = 0x7fff24fca390, reg_save_area = 0x7fff24fca350}}
#3  0x00000000004009be in inlined (p=0x0) at will_segfault.c:40
        num = 42
#4  f (p=p@entry=0x0) at will_segfault.c:45
No locals.
#5  0x00000000004009e9 in callback (data=data@entry=0x0) at will_segfault.c:50
No locals.
#6  0x0000003fe7c006f9 in call_me_back (cb=cb@entry=0x4009e0 <callback>, data=data@entry=0x0) at libwillcrash.c:8
        res = <optimized out>
#7  0x0000000000400a14 in recursive (i=i@entry=0) at will_segfault.c:59
        p = <optimized out>
#8  0x0000000000400a00 in recursive (i=i@entry=1) at will_segfault.c:66
No locals.
#9  0x0000000000400a00 in recursive (i=i@entry=2) at will_segfault.c:66
No locals.
#10 0x0000000000400775 in main (argc=<optimized out>, argv=<optimized out>) at will_segfault.c:83
No locals.
From                To                  Syms Read   Shared Object Library
                                        No          linux-vdso.so.1
0x0000003fe7c005f0  0x0000003fe7c00712  Yes         /lib64/libwillcrash.so.0
0x00007f6ec02924d0  0x00007f6ec03e53c4  Yes         /lib64/libc.so.6
0x00007f6ec063dad0  0x00007f6ec06596a0  Yes         /lib64/ld-linux-x86-64.so.2
$1 = 0x0
No symbol "__glib_assert_msg" in current context.
rax            0xf	15
rbx            0x0	0
rcx            0x7f6ec085e000	140113653129216
rdx            0x7f6ec0639970	140113650882928
rsi            0x7f6ec085e000	140113653129216
rdi            0x1	1
rbp            0x400a30	0x400a30 <__libc_csu_init>
rsp            0x7fff24fca320	0x7fff24fca320
r8             0xffffffff	4294967295
r9             0x0	0
r10            0x22	34
r11            0x246	582
r12            0x40079f	4196255
r13            0x7fff24fca4e0	140733813925088
r14            0x0	0
r15            0x0	0
rip            0x4008ae	0x4008ae <crash+14>
eflags         0x10246	[ PF ZF IF RF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
Dump of assembler code for function crash:
   0x00000000004008a0 <+0>:	push   %rbx
   0x00000000004008a1 <+1>:	mov    %rdi,%rbx
   0x00000000004008a4 <+4>:	mov    $0x400ac0,%edi
   0x00000000004008a9 <+9>:	callq  0x4006f0 <puts@plt>
=> 0x00000000004008ae <+14>:	mov    (%rbx),%edx
   0x00000000004008b0 <+16>:	mov    $0x400acf,%esi
   0x00000000004008b5 <+21>:	mov    $0x1,%edi
   0x00000000004008ba <+26>:	xor    %eax,%eax
   0x00000000004008bc <+28>:	callq  0x400740 <__printf_chk@plt>
   0x00000000004008c1 <+33>:	pop    %rbx
   0x00000000004008c2 <+34>:	retq   
End of assembler dump.

Potential duplicate: bug 1090572

Comment 1 Jakub Filak 2015-01-23 05:45:46 UTC
Created attachment 983175 [details]
File: backtrace

Comment 2 Jakub Filak 2015-01-23 05:45:47 UTC
Created attachment 983176 [details]
File: cgroup

Comment 3 Jakub Filak 2015-01-23 05:45:48 UTC
Created attachment 983177 [details]
File: core_backtrace

Comment 4 Jakub Filak 2015-01-23 05:45:49 UTC
Created attachment 983178 [details]
File: dso_list

Comment 5 Jakub Filak 2015-01-23 05:45:51 UTC
Created attachment 983179 [details]
File: environ

Comment 6 Jakub Filak 2015-01-23 05:45:52 UTC
Created attachment 983180 [details]
File: limits

Comment 7 Jakub Filak 2015-01-23 05:45:53 UTC
Created attachment 983181 [details]
File: maps

Comment 8 Jakub Filak 2015-01-23 05:45:54 UTC
Created attachment 983182 [details]
File: open_fds

Comment 9 Jakub Filak 2015-01-23 05:45:55 UTC
Created attachment 983183 [details]
File: proc_pid_status

Comment 10 Jakub Filak 2015-09-02 11:18:12 UTC
Another user experienced a similar problem:

Trying to file a bug with the /etc/os-release file containing "REDHAT_BUGZILLA_PRODUCT_VERSION=rawhide". Please disregard this particular bug report.

reporter:       libreport-2.6.2.5.g85e6.dirty
backtrace_rating: 4
cmdline:        will_segfault
crash_function: printf
executable:     /usr/bin/will_segfault
global_pid:     29522
kernel:         4.2.0-0.rc0.git1.1.fc23.x86_64
package:        will-crash-0.10-1.fc24
reason:         will_segfault killed by SIGSEGV
runlevel:       3 5
type:           CCpp
uid:            18601


Note You need to log in before you can comment on or make changes to this bug.